<?xml version="1.0"?>
<launch>
    <arg name="gui" default="true"/>
    <!-- terminate launch when gzclient exits-->
    <arg name="gui_required" value="true"/>
    <arg name="paused" default="true"/>
    <!-- This is the recommended naming convention when setting up gazebo for a robot. -->
    <arg name="world_name" default="$(find raven_gazebo)/worlds/raven.world"/>

    <include file="$(find gazebo_ros)/launch/empty_world.launch">
        <arg name="world_name" value="$(arg world_name)"/>
        <!-- This will be needed when we use any ds_sensors, thanks to Ian's hack. -->
        <arg name="extra_gazebo_args" value="-s libdsros_sensors.so"/>
        <arg name="paused" value="$(arg paused)"/>
        <arg name="use_sim_time" value="true"/>
        <arg name="gui" value="$(arg gui)"/>
        <arg name="headless" value="false"/>
        <arg name="debug" value="false"/>
        <arg name="verbose" value="true"/>
        <arg name="gui_required" value="$(arg gui_required)"/>
    </include>

     <!-- This service call adds a custom URDF into gazebo.
         According to the Gazebo tutorials, this is the preferred method
	 for spawning a robot:
          gazebosim.org/tutorials/?tut=ros_roslaunch

        Q: When do you need to spawn vs. including a model?
    -->
    <node name="spawn_bop_panel" pkg="gazebo_ros" type="spawn_model"
          args="-file $(find uuv_gazebo_worlds)/models/bop_panel/model.sdf -sdf -model bop_panel -x 15 -y -10 -z -94.9 ">
    </node>
    <node name="spawn_wreck" pkg="gazebo_ros" type="spawn_model"
          args="-file $(find uuv_gazebo_worlds)/models/herkules_ship_wreck/model.sdf -sdf -model hercules_wreck -x 150 -y -10 -z -94.9 ">
    </node>

    <include file="$(find raven_gazebo)/launch/raven.launch"/>

</launch>
